Content-type: text/html

# uglMesaGetIntegerv

Section: WRS (3)
Updated: AOUT 2001
Index Return to Main Contents

## NAME

uglMesaGetIntegerv - Return an integer value like glGetIntegerv

## SYNOPSIS

#include <GL/uglmesa.h>

uglMesaGetIntegerv (GLint pname, GLint * value);

## DESCRIPTION

The uglMesaGetIntegerv function returns an integer value like glGetIntegerv

## INPUT VALUES

pname - can takes the following values
UGL_MESA_LEFT_X, return the x axis value of the most left pixel
UGL_MESA_TOP_Y, return the y axis value of the topper pixel
UGL_MESA_WIDTH, return current image width
UGL_MESA_HEIGHT, return current image height
UGL_MESA_DISPLAY_WIDTH, return screen width
UGL_MESA_DISPLAY_HEIGHT, return screen height
UGL_MESA_ROW_LENGTH, return row length in pixels
UGL_MESA_RGB, return true if RGB mode
UGL_MESA_COLOR_INDEXED, return true if color indexed
UGL_MESA_DOUBLE_BUFFER, return true if it uses a double buffer
UGL_MESA_SINGLE_BUFFER, return true if it only uses a single buffer
UGL_MESA_DOUBLE_BUFFER_SOFTWARE, return true if the double buffer is software (malloc)
case UGL_MESA_DOUBLE_BUFFER_HARDWARE, return true if the double buffer is hardware (video memory)

value - pointer to integer in which to return result.

## RETURN VALUE

No value is returned.

## COPYRIGHT

Copyright © 2001 Wind River Systems, Inc.

## Index

NAME
SYNOPSIS
DESCRIPTION
INPUT VALUES
RETURN VALUE
COPYRIGHT

This document was created by man2html, using the manual pages.
Time: 09:32:46 GMT, August 30, 2001